﻿@using NacGroup.Module.Core.Services

@model NacGroup.Module.Core.Models.ViewModels.FacebookAccountKitSettingModel

@inject IGettingGlobalConfigService GettingGlobalConfigService;
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Đăng nhập";
    Layout = "_Layout";
}
@section Style{
    <link href="/plugins/alertifyjs/css/alertify.css" rel="stylesheet" />
    <link href="/plugins/alertifyjs/css/themes/bootstrap.css" rel="stylesheet" />
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/account-page.min.css" rel="stylesheet" />
    <link href="/plugins/nacicon/css/nac-icon.css" rel="stylesheet" />
    <link href="/css/account-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/account-page.min.js"></script>
    <script src="/plugins/alertifyjs/alertify.js"></script>
    <script src="/js/account-page.js"></script>
    <script src="https://sdk.accountkit.com/en_US/sdk.js"></script>
    <script>
        // initialize Account Kit with CSRF protection
        AccountKit_OnInteractive = function () {
            AccountKit.init(
                {
                    appId: $("#kitappId").val(),
                    state: $("#kitstate").val(),
                    version: $("#kitversion").val(),
                    fbAppEventsEnabled: $("#kitfbAppEventsEnabled").val() === "true",
                    redirect: $("#kitredirect").val()
                }
            );
        };

        function loginCallback(response) {
            if (response.status === "PARTIALLY_AUTHENTICATED") {
                var code = response.code;
                var csrf = response.state;
                location.href = "/account/login/facebookkitcallback?code=" + code;
                // Send code to server to exchange for access token
            }
            else if (response.status === "NOT_AUTHENTICATED") {
                alertify.alert("Error", "Can't login facebook account, please try again");
            }
            else if (response.status === "BAD_PARAMS") {
                alertify.alert("Error", "Can't login facebook account, please try again");
            }
        }

        // phone form submission handler
        function smsLogin() {
            AccountKit.login(
                'PHONE',
                {}, loginCallback
            );
        }


/**/</script>
}

<main id="account-page">
    <div id="login" class="container">
        <div class="acc--pagetit">Đăng nhập</div>
        <form id="login-form" onsubmit="return false;submitLogin()">
            <input type="hidden" id="kitappId" value="@Model.ClientId">
            <input type="hidden" id="kitstate" value="@Guid.NewGuid()">
            <input type="hidden" id="kitversion" value="@Model.Version">
            <input type="hidden" id="kitfbAppEventsEnabled"
                   value="true">
            <input type="hidden" id="kitredirect" value="@Model.CallBackUrl">
            <div class="form-group">
                <label>Phone or Email<span class="required-text">*</span></label>
                <input type="text" class="form-control" placeholder="Phone or email" name="UserName">
            </div>
            <div class="form-group">
                <label>Mật khẩu<span class="required-text">*</span></label>
                <input type="password" class="form-control" placeholder="Mật khẩu" name="Password">
            </div>
            <div class="btn-container">
                <p class="acc--forgottxt">Quên mật khẩu ? Truy cập <a href="/account/forgotpassword">tại đây</a></p>
                <button class="btn btn-primary" type="submit" onclick="submitLogin()">Đăng nhập Email</button>
                <a class="btn btn-fb" href="javascript:" onclick="smsLogin()">Đăng nhập SMS</a>
                <a class="signuplink" href="/account/register">Khổng phải thành viên ? Đăng kí tại đây</a>
            </div>
        </form>
    </div>
</main>
